/*
 * Copyright 1995, 1996 Perforce Software.  All rights reserved.
 *
 * This file is part of Perforce - the FAST SCM System.
 */

enum DebugType {
	DT_DB,		// DbOpen
	DT_DBMAP,	// Db map handling
	DT_DIFF,	// Diff
	DT_DM,		// Dm
	DT_HANDLE,	// Handles
	DT_INDEX,	// the indexing system
	DT_LBR,		// Lbr
	DT_MAP,		// MapTable
	DT_NET,		// Net
	DT_RCS,		// RCS
	DT_RECORDS,	// VarRecords
	DT_RPC,		// Rpc
	DT_SERVER,	// Server
	DT_SPEC,	// Spec
	DT_FTP,		// Ftp Server
	DT_PROC,	// External process creation
	DT_APP,		// Application level
	DT_WG,		// Web Gizmo
	DT_LAST
}  ;

class Debug {

    public:

			Debug();

	void		SetLevel( int l );
	void		SetLevel( char *set );
	void		SetLevel( DebugType t, int l ) { level[t] = l ;}

	int		GetLevel( DebugType t ) const { return level[t]; }

    private:

	void		Unbuffer();

	int 		level[DT_LAST];
} ;

extern Debug p4debug;

